com.saxonica.config

## Class EnterpriseTransformerFactory

- java.lang.Object
- - javax.xml.transform.TransformerFactory
  - - javax.xml.transform.sax.SAXTransformerFactory
    - - net.sf.saxon.TransformerFactoryImpl
      - - com.saxonica.config.ProfessionalTransformerFactory
        - - com.saxonica.config.EnterpriseTransformerFactory

-     public class EnterpriseTransformerFactory
      extends ProfessionalTransformerFactory

  The is the JAXP TransformerFactory implementation for the enterprise edition of Saxon. It can be invoked by setting the system property javax.xml.transform.TransformerFactory to the value com.saxonica.EnterpriseTransformerFactory, and calling TransformerFactory.newInstance(), or it can be instantiated directly.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.transform.sax.SAXTransformerFactory

      `FEATURE, FEATURE_XMLFILTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnterpriseTransformerFactory()` Create an EnterpriseTransformerFactory.
    `EnterpriseTransformerFactory(EnterpriseConfiguration config)` Construct a TransformerFactory using an existing Configuration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchema(Source schemaSource)` Load a schema, which will be available for use by all subsequent operations using this TransformerFactory.

    - ### Methods inherited from class net.sf.saxon.TransformerFactoryImpl

      `getAssociatedStylesheet, getAttribute, getConfiguration, getErrorListener, getFeature, getURIResolver, newTemplates, newTemplates, newTemplatesHandler, newTransformer, newTransformer, newTransformerHandler, newTransformerHandler, newTransformerHandler, newXMLFilter, newXMLFilter, setAttribute, setConfiguration, setErrorListener, setFeature, setURIResolver`

    - ### Methods inherited from class javax.xml.transform.TransformerFactory

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnterpriseTransformerFactory

          public EnterpriseTransformerFactory()

      Create an EnterpriseTransformerFactory. An EnterpriseConfiguration will be created automatically.

    - #### EnterpriseTransformerFactory

          public EnterpriseTransformerFactory(EnterpriseConfiguration config)

      Construct a TransformerFactory using an existing Configuration.
      Parameters:
        `config` - the configuration to be used. This must be an EnterpriseConfiguration.

  - ### Method Detail

    - #### addSchema

          public void addSchema(Source schemaSource)
                         throws TransformerException

      Load a schema, which will be available for use by all subsequent operations using this TransformerFactory.
      Parameters:
        `schemaSource` - the JAXP Source object identifying the schema document to be loaded
      Throws:
        `TransformerException` - if the schema cannot be read or parsed or if it is invalid

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.